namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 系统文档需要签署用户类型")]
[Table("SystemDocNeedConfirmedUserType")]
public class SystemDocNeedConfirmedUserType : Entity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("NeedConfirmUserTypeId")]
    public UserType UserTypeRole { get; set; }

    [JsonIgnore]
    public SystemDocument SystemDocument { get; set; }
    #endregion
    public Guid SystemDocumentId { get; set; }

    public Guid NeedConfirmUserTypeId { get; set; }

}

